• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
bootstrap.php not found in index.php

#1
Greetings, 
I downloaded a very fine update on the script from : https://github.com/codeigniter4projects/website2

when I put in localhost , I got this message:

PHP Code:
Fatal error: require(): Failed opening required '/Applications/XAMPP/xamppfiles/htdocs/CI/app/Config/../../vendor/codeigniter4/framework/system/bootstrap.php' (include_path='.:/Applications/XAMPP/xamppfiles/lib/php'in /Applications/XAMPP/xamppfiles/htdocs/CI/public/index.php on line 36 

 I wonder how to fix it?
Reply

#2
(04-20-2020, 04:24 AM)abualk Wrote: Greetings, 
I downloaded a very fine update on the script from : https://github.com/codeigniter4projects/website2

when I put in localhost , I got this message:

PHP Code:
Fatal error: require(): Failed opening required '/Applications/XAMPP/xamppfiles/htdocs/CI/app/Config/../../vendor/codeigniter4/framework/system/bootstrap.php' (include_path='.:/Applications/XAMPP/xamppfiles/lib/php'in /Applications/XAMPP/xamppfiles/htdocs/CI/public/index.php on line 36 

 I wonder how to fix it?


Show us please a directory structure?

AND you must execute in your root folder the next commands:

PHP Code:
composer require codeigniter4/framework

composer update 


Most likely the problem is that you do not have the vendor folder.
Reply

#3
thank you so much for your kind reply.

I dont know how to use composer as when I run the command I got this
-bash: composer: command not found

as for the structure
-app
-public
-system
-tests
-writable


I wonder if this is enough info or not. as I said I'm new to all of this and I'm trying to catch up with you guys
Reply

#4
You will need to install Composer first: https://getcomposer.org/
Reply

#5
thank you so much.
I managed to install the composer and I'm getting this error message:
Your requirements could not be resolved to an installable set of packages.
Can't download the software because of a network problem
Reply

#6
You can force an install with:
Code:
composer install --ignore-platform-reqs
Reply

#7
Many thanks guys. worked .. thanks to you. yet I noticed the resp has db structs, I wonder why it's not attached to GitHub. 


thanks again
Reply


Digg   Delicious   Reddit   Facebook   Twitter   StumbleUpon  


  Theme © 2014 iAndrew  
Powered By MyBB, © 2002-2020 MyBB Group.